package com.kingdee.eas.custom.shuiyou.incomeTax;

import javax.ejb.*;
import java.rmi.RemoteException;
import com.kingdee.bos.*;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.metadata.IMetaDataPK;
import com.kingdee.bos.metadata.rule.RuleExecutor;
import com.kingdee.bos.metadata.MetaDataPK;
//import com.kingdee.bos.metadata.entity.EntityViewInfo;
import com.kingdee.bos.framework.ejb.AbstractEntityControllerBean;
import com.kingdee.bos.framework.ejb.AbstractBizControllerBean;
//import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.bos.dao.IObjectValue;
import com.kingdee.bos.dao.IObjectCollection;
import com.kingdee.bos.service.ServiceContext;
import com.kingdee.bos.service.IServiceContext;
import com.kingdee.eas.framework.Result;
import com.kingdee.eas.framework.LineResult;
import com.kingdee.eas.framework.exception.EASMultiException;
import com.kingdee.bos.dao.ormapping.ObjectUuidPK;

import java.util.List;
import java.lang.String;



public abstract class AbstractTaxPersonReportExFacadeControllerBean extends AbstractBizControllerBean implements TaxPersonReportExFacadeController
{
    protected AbstractTaxPersonReportExFacadeControllerBean()
    {
    }

    protected BOSObjectType getBOSType()
    {
        return new BOSObjectType("16E375A5");
    }

    public List report(Context ctx, String entryIDs, String taxPeriodDate, String filter) throws BOSException
    {
        try {
            ServiceContext svcCtx = createServiceContext(new MetaDataPK("fbf633c1-1b2b-4f41-b5cf-b1bce7d1d6fb"), new Object[]{ctx, entryIDs, taxPeriodDate, filter});
            invokeServiceBefore(svcCtx);
            if(!svcCtx.invokeBreak()) {
            List retValue = (List)_report(ctx, entryIDs, taxPeriodDate, filter);
            svcCtx.setMethodReturnValue(retValue);
            }
            invokeServiceAfter(svcCtx);
            return (List)svcCtx.getMethodReturnValue();
        } catch (BOSException ex) {
            throw ex;
        } finally {
            super.cleanUpServiceState();
        }
    }
    protected List _report(Context ctx, String entryIDs, String taxPeriodDate, String filter) throws BOSException
    {    	
        return null;
    }

    public List pensionReport(Context ctx, String taxPeriodDate, String ids, String filter) throws BOSException
    {
        try {
            ServiceContext svcCtx = createServiceContext(new MetaDataPK("4f7c738d-21f5-4dc1-bac6-ea612a7456b2"), new Object[]{ctx, taxPeriodDate, ids, filter});
            invokeServiceBefore(svcCtx);
            if(!svcCtx.invokeBreak()) {
            List retValue = (List)_pensionReport(ctx, taxPeriodDate, ids, filter);
            svcCtx.setMethodReturnValue(retValue);
            }
            invokeServiceAfter(svcCtx);
            return (List)svcCtx.getMethodReturnValue();
        } catch (BOSException ex) {
            throw ex;
        } finally {
            super.cleanUpServiceState();
        }
    }
    protected List _pensionReport(Context ctx, String taxPeriodDate, String ids, String filter) throws BOSException
    {    	
        return null;
    }

}