package com.kingdee.eas.custom.shuiyou.incomeTax;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.eas.custom.shuiyou.incomeTax.*;
import com.kingdee.bos.Context;
import com.kingdee.bos.BOSException;
import java.util.List;
import java.lang.String;
import com.kingdee.bos.framework.*;
import com.kingdee.bos.util.*;

public class TaxPersonReportExFacade extends AbstractBizCtrl implements ITaxPersonReportExFacade
{
    public TaxPersonReportExFacade()
    {
        super();
        registerInterface(ITaxPersonReportExFacade.class, this);
    }
    public TaxPersonReportExFacade(Context ctx)
    {
        super(ctx);
        registerInterface(ITaxPersonReportExFacade.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("16E375A5");
    }
    private TaxPersonReportExFacadeController getController() throws BOSException
    {
        return (TaxPersonReportExFacadeController)getBizController();
    }
    /**
     *[description][%description][invokedemo][%invokedemo][returndesc]iļ[%returndesc]-User defined method
     *@param entryIDs ְܹͷ¼
     *@param taxPeriodDate 
     *@param filter 
     *@return
     */
    public List report(String entryIDs, String taxPeriodDate, String filter) throws BOSException
    {
        try {
            return getController().report(getContext(), entryIDs, taxPeriodDate, filter);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *Ͻ-User defined method
     *@param taxPeriodDate 
     *@param ids idб
     *@param filter 
     *@return
     */
    public List pensionReport(String taxPeriodDate, String ids, String filter) throws BOSException
    {
        try {
            return getController().pensionReport(getContext(), taxPeriodDate, ids, filter);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}