package com.kingdee.eas.custom.shuiyou.six.handler;

import cn.hutool.core.util.StrUtil;
import com.google.common.collect.Maps;
import com.kingdee.bos.BOSException;
import com.kingdee.bos.Context;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.shr.base.syssetting.MSFServiceFacadeFactory;
import com.kingdee.shr.base.syssetting.context.SHRContext;
import com.kingdee.shr.base.syssetting.exception.SHRWebException;
import com.kingdee.shr.base.syssetting.exception.ShrWebBizException;

import com.kingdee.shr.base.syssetting.web.json.JSONUtils;
import com.kingdee.shr.compensation.web.handler.CmpTaxDeclarationListHandler;
import org.springframework.ui.ModelMap;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.util.Map;

/**
 * description: CmpTaxDeclarationListHandlerEx <br>
 * date: 2024/9/13 19:53 <br>
 * author: lhbj <br>
 * version: 1.0 <br>
 */
public class CmpTaxDeclarationListHandlerEx extends CmpTaxDeclarationListHandler {


    public String getCompanyIncomesAction(HttpServletRequest request, HttpServletResponse response, ModelMap modelMap) throws SHRWebException, BOSException, EASBizException {
        Context ctx = SHRContext.getInstance().getContext();
        String skssq = request.getParameter("skssq");
        if(StrUtil.isBlank(skssq)){
            new ShrWebBizException("Ϊ,봫");
        }
        Map<String,String> param = Maps.newHashMap();
        param.put("skssq",skssq);
        Object obj = MSFServiceFacadeFactory.getLocalInstance(ctx).processService("getCompanyIncomesService", param);

        JSONUtils.SUCCESS(obj);
        return null;
    }

}
